Package org.snpeff.stats

# Class VariantEffectStats

java.lang.Object
org.snpeff.stats.VariantEffectStats

All Implemented Interfaces:
  `SamplingStats<VariantEffect>`

public class VariantEffectStats extends Object implements SamplingStats<VariantEffect>
Variants annotation statistics. These are statistics about each variant annotation / effect. There can be multiple annotaitons per variant (e.g. multiple transcripts in a gene produce multiple annotations in a single variant).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHANGE_SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`VariantEffectStats(Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAaChangeColor(String oldAa, String newAa)`
Background color used for AA change table
`long`
`getAaChangeCount(String oldAa, String newAa)`
How many changes from oldAa to newAa do we have?
`List<String>`
`getAaList()`
Get list of all amino acisd involved
`String`
`getCodonChangeColor(String oldCodon, String newCodon)`
`long`
`getCodonChangeCount(String oldCodon, String newCodon)`
How many changes from oldCodo to newCodon do we have?
`List<String>`
`getCodonList()`
Get a list of all codons involved
`CountByType`
`getCountByEffect()`
`CountByType`
`getCountByFunctionalClass()`
`CountByType`
`getCountByGeneRegion()`
`CountByType`
`getCountByImpact()`
`int`
`getCountErrors()`
`int`
`getCountWarnings()`
`GeneCountByTypeTable`
`getGeneCountByEffectTable()`
`GeneCountByTypeTable`
`getGeneCountByImpactTable()`
`GeneCountByTypeTable`
`getGeneCountByRegionTable()`
`String`
`getPlotGene()`
Barplot of different gene regions
`double`
`getSilentRatio()`
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(VariantEffect variantEffect)`
Analyze one sample
`void`
`setUseSequenceOntology(boolean useSequenceOntology)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHANGE_SEPARATOR

public static final String CHANGE_SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### VariantEffectStats

public VariantEffectStats(Genome genome)

## Method Details

### getAaChangeColor

public String getAaChangeColor(String oldAa, String newAa)
Background color used for AA change table

### getAaChangeCount

public long getAaChangeCount(String oldAa, String newAa)
How many changes from oldAa to newAa do we have?

### getAaList

public List<String> getAaList()
Get list of all amino acisd involved

### getCodonChangeColor

public String getCodonChangeColor(String oldCodon, String newCodon)

### getCodonChangeCount

public long getCodonChangeCount(String oldCodon, String newCodon)
How many changes from oldCodo to newCodon do we have?

### getCodonList

public List<String> getCodonList()
Get a list of all codons involved

### getCountByEffect

public CountByType getCountByEffect()

### getCountByFunctionalClass

public CountByType getCountByFunctionalClass()

### getCountByGeneRegion

public CountByType getCountByGeneRegion()

### getCountByImpact

public CountByType getCountByImpact()

### getCountErrors

public int getCountErrors()

### getCountWarnings

public int getCountWarnings()

### getGeneCountByEffectTable

public GeneCountByTypeTable getGeneCountByEffectTable()

### getGeneCountByImpactTable

public GeneCountByTypeTable getGeneCountByImpactTable()

### getGeneCountByRegionTable

public GeneCountByTypeTable getGeneCountByRegionTable()

### getPlotGene

public String getPlotGene()
Barplot of different gene regions

### getSilentRatio

public double getSilentRatio()

### hasData

public boolean hasData()
Description copied from interface: `SamplingStats`
Does this statistic have any data?

Specified by:
  `hasData` in interface `SamplingStats<VariantEffect>`
Returns:

### sample

public void sample(VariantEffect variantEffect)
Description copied from interface: `SamplingStats`
Analyze one sample

Specified by:
  `sample` in interface `SamplingStats<VariantEffect>`
Parameters:
  `variantEffect` -

### setUseSequenceOntology

public void setUseSequenceOntology(boolean useSequenceOntology)